<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <remote fetch="../../" name="rk"/>

  <default remote="rk" sync-j="4"/>

  <include name="common/yocto-honister.xml" />
  <include name="include/rk356x_doc.xml" />

  <project dest-branch="rk33/mid/8.1/develop" name="android/RKNPUTool" path="external/RKNPUTools" revision="b8c0e77c1a5c8e886c3ebf3483557e8755485e6e" upstream="rk33/mid/8.1/develop"/>
  <project dest-branch="develop-next" name="android/rk/platform/system/rk_tee_user" path="external/security/rk_tee_user" revision="566bc0f418a454f1beb265dd8c744d350ceb0dd0" upstream="develop-next"/>
  <project dest-branch="next-dev" name="android/rk/u-boot" path="u-boot" revision="2a212970d89b12fdb3718376f046c8305b2c1883" upstream="next-dev"/>
  <project dest-branch="master" name="linux/app-new/LibIPCProtocol" path="app/libIPCProtocol" revision="45cdd16d137929a06ad6231eca4d17eed5a967d6" upstream="master"/>
  <project dest-branch="master" name="linux/app-new/mediaserver" path="app/mediaserver" revision="bdfd5d9dd5f81ec3d3ae9c7bd1c8db076a39bd8b" upstream="master"/>
  <project dest-branch="master" name="linux/app-new/qfm" path="app/qfm" revision="7e94be4d1ce41e395909da8b963ad46c65ca285f" upstream="master"/>
  <project dest-branch="master" name="linux/app/CameraFactoryTestServer" path="app/CameraFactoryTestServer" revision="4bf562db7718264772ed9c52e1afc54ccebc8356" upstream="master"/>
  <project dest-branch="master" name="linux/app/QFacialGate" path="app/QFacialGate" revision="87f2c3643b41ed70e9551e0039edc8369dbe626a" upstream="master"/>
  <project dest-branch="develop" name="linux/app/QLauncher" path="app/QLauncher" revision="a17ceb273aaa6f5c9aaf9f570d4ee56e28135c9d" upstream="develop"/>
  <project dest-branch="master" name="linux/app/aiserver" path="app/aiserver" revision="8d329031758a40c806f2a58cfecb5cc346455f87" upstream="master"/>
  <project dest-branch="master" name="linux/app/dbserver" path="app/dbserver" revision="ed4479a42b462a0f23e39fe77e2decc009fc0938" upstream="master"/>
  <project dest-branch="master" name="linux/app/eptz_demo" path="app/eptz_demo" revision="eefc46ba96e15e52d191b0db310cfb16ecfd7f40" upstream="master"/>
  <project dest-branch="master" name="linux/app/ipc-daemon" path="app/ipc-daemon" revision="30b8dc6f23c4623324bcd051659ef8b45018a8c2" upstream="master"/>
  <project dest-branch="master" name="linux/app/libgdbus" path="app/libgdbus" revision="79370be32dde657abf1128c90c72b93e75d814ed" upstream="master"/>
  <project dest-branch="master" name="linux/app/librkdb" path="app/librkdb" revision="72fd398899e791dcf0a02b484a9be404063ed94e" upstream="master"/>
  <project dest-branch="master" name="linux/app/multivideoplayer" path="app/multivideoplayer" revision="5d566e0b2ab416c251b54d59d6237e7164c7e270" upstream="master"/>
  <project dest-branch="master" name="linux/app/network_manager" path="app/netserver" revision="2c696348c2e4dd2eb278efd38370255e752eb4d7" upstream="master"/>
  <project dest-branch="master" name="linux/app/qcamera" path="app/qcamera" revision="1cf0d51ba5448151cf93cd4446a153de245274c1" upstream="master"/>
  <project dest-branch="master" name="linux/app/qplayer" path="app/qplayer" revision="0121646c9fe2335eef9a963071d07b797a17487e" upstream="master"/>
  <project dest-branch="socket" name="linux/app/rkaiq_tool_server" path="app/rkaiq_tool_server" revision="1e61f9d7fecfb9b17abae680f92a940475331720" upstream="socket"/>
  <project dest-branch="develop" name="linux/app/settings" path="app/qsetting" revision="7719da2d42787bac1a6fe075f2ddf6157cd5d678" upstream="develop"/>
  <project dest-branch="master" name="linux/app/storage_manager" path="app/storage_manager" revision="213aded5fbf9dc2fd05c0fd529aa3da55a6fea93" upstream="master"/>
  <project dest-branch="master" name="linux/app/web-new/ipcweb-backend" path="app/ipcweb-backend" revision="7e40d3d530b2daaa804fdbc59d5f2ec2d5a8cbe4" upstream="master"/>
  <project dest-branch="master" name="linux/app/web-new/ipcweb-ng" path="app/ipcweb-ng" revision="ca9ad4f24bb46568dbbb80ac216a6e2b5f872d23" upstream="master"/>
  <project dest-branch="master" name="linux/bsp/external/bluetooth_bsa" path="external/bluetooth_bsa" revision="51b1afeefd0984dc1965379513a2931e85d281fa" upstream="master"/>
  <project dest-branch="master" name="linux/bsp/external/broadcom_bsa" path="external/broadcom_bsa" revision="46234ce7a904794754bba79cb7c9f26d39605311" upstream="master"/>
  <project dest-branch="rockchip/2018.02-rc3" name="linux/buildroot" path="buildroot" revision="93415b293ed43c2cedbd138468036ee427bff41c" upstream="rockchip/2018.02-rc3">
    <linkfile dest="Makefile" src="build/Makefile"/>
    <linkfile dest="envsetup.sh" src="build/envsetup.sh"/>
  </project>
  <project dest-branch="master" name="linux/debian" path="debian" revision="master" clone-depth="1"/>
  <project dest-branch="master" name="linux/device/rockchip" path="device/rockchip" revision="c303a6e21c23150d21aa348a23d57a5d74f81a32" upstream="master">
    <linkfile dest="mkfirmware.sh" src="common/mkfirmware.sh"/>
    <linkfile dest="build.sh" src="common/build.sh"/>
    <linkfile dest="rkflash.sh" src="common/rkflash.sh"/>
    <linkfile dest="device/rockchip/.target_product" src="rk356x"/>
  </project>
  <project dest-branch="master" name="linux/external/CallFunIpc" path="external/CallFunIpc" revision="b23fcde9739d9bdcc3c477caa0a845355825711f" upstream="master"/>
  <project dest-branch="master" name="linux/external/alsa-config" path="external/alsa-config" revision="1b88e694695ef2edfc5bc320a2f1b0935ca76a29" upstream="master"/>
  <project dest-branch="master" name="linux/external/app" path="external/app" revision="3a06ebb791eb8bc6d2b41876f895d121be987f41" upstream="master"/>
  <project dest-branch="master" name="linux/external/avb" path="external/avb" revision="64b5ea0130d7440084796f6a23d7cd91fac988b8" upstream="master"/>
  <project dest-branch="master" name="linux/external/ble_wificonfig" path="external/ble_wificonfig" revision="3b56e0e268634216df1f992d944bb30158e86786" upstream="master"/>
  <project dest-branch="master" name="linux/external/bluez-alsa" path="external/bluez-alsa" revision="e383251a22fef7213b7e5a804e4c7a7ca621c80d" upstream="master"/>
  <project dest-branch="rk356x" name="linux/external/camera_engine_rkaiq" path="external/camera_engine_rkaiq" revision="e758b50f205d36759db7b4090454f99001fe37ef" upstream="rk356x"/>
  <project dest-branch="master" name="linux/external/chromium" path="external/chromium" revision="bba90aee6a986fca85e8cf79c2917ebf5a2b6e17" upstream="master"/>
  <project dest-branch="master" name="linux/external/common_algorithm" path="external/common_algorithm" revision="c754f4a58d6117e10ef0b5a840c9d179ae752991" upstream="master"/>
  <project dest-branch="master" name="linux/external/deviceio_release" path="external/deviceio_release" revision="187439b6c9ed867c5a28d8b39cb2ecf19ba9dae6" upstream="master"/>
  <project dest-branch="master" name="linux/external/eq_drc_process" path="external/eq_drc_process" revision="6fe472aa76ed71922742863c8f94222dab3dbf3c" upstream="master"/>
  <project dest-branch="rk356x_dev" name="linux/external/isp2-ipc" path="external/isp2-ipc" revision="37fd1c708eee3f68a0e25b2e4792e5bc2d30b626" upstream="rk356x_dev"/>
  <project dest-branch="master" name="linux/external/ladspaSDK" path="external/ladspaSDK" revision="c1a72f6e72d86b3d235df50d97e5566fb6e93490" upstream="master"/>
  <project dest-branch="master" name="linux/external/libglCompositor" path="external/libglCompositor" revision="5dcd40eb0d8a44ae7eccd4961aea6b01c0f78180" upstream="master"/>
  <project dest-branch="master" name="linux/external/minigui" path="external/minigui" revision="56dfcf3f4d2978cabe7684ca64073ebdfaae73b6" upstream="master"/>
  <project dest-branch="master" name="linux/external/minigui_desktop" path="external/minigui_desktop" revision="9fa64dabb6bae25c07c2fc6ed40de6123f71f493" upstream="master"/>
  <project dest-branch="master" name="linux/external/minilogger" path="external/minilogger" revision="5f0fa4698d5305d8653c2352bfcf1d9aa57064a4" upstream="master"/>
  <project dest-branch="master" name="linux/external/pcba_adb_test" path="external/pcba_adb_test" revision="0a1ca61f27007e8374d21f3af167ee5e02923f19" upstream="master"/>
  <project dest-branch="master" name="linux/external/rk_pcba_test" path="external/rk_pcba_test" revision="36e07775f017df15a8f20e62f52cb59e1ed3ae10" upstream="master"/>
  <project dest-branch="master" name="linux/external/rkfacial" path="external/rkfacial" revision="8d37181704e2e3d1ab604e1b81d948808398ba23" upstream="master"/>
  <project dest-branch="master" name="linux/external/rknn_demo" path="external/rknn_demo" revision="d24d15b855ee5b0521ee33bd13a1f1bcf597b7dc" upstream="master"/>
  <project dest-branch="master" name="linux/external/rknpu" path="external/rknpu" revision="39be95392b85e0318997db7d014b55ebb7d19414" upstream="master"/>
  <project dest-branch="master" name="linux/external/rkscript" path="external/rkscript" revision="6c1303d90b979ccd30ebea43d4f942e5aa6f8860" upstream="master"/>
  <project dest-branch="master" name="linux/external/rktoolkit" path="external/rktoolkit" revision="77fb41f99185a6f9dc2c9c69e099f417d8ae905d" upstream="master"/>
  <project dest-branch="master" name="linux/external/rkupdate" path="external/rkupdate" revision="1e014c0295f960a23b5b351c0bb3e1c6903d0bf6" upstream="master"/>
  <project dest-branch="master" name="linux/external/rkwifibt" path="external/rkwifibt" revision="2242bd1270c09d0437eff2d4aee03734b283d52f" upstream="master"/>
  <project dest-branch="master" name="linux/external/rtc_demo" path="external/rtc_demo" revision="01ea9377beae66a544191ff5dbd920f19ba4614c" upstream="master"/>
  <project dest-branch="master" name="linux/external/softapDemo" path="external/softapDemo" revision="4c7d1bd3d28df276d263f49324b022b44b3a1c85" upstream="master"/>
  <project dest-branch="master" name="linux/external/tensorflow" path="external/tensorflow" revision="e1877bb157a775d76ec8c0b68467aef6d053bbb2" upstream="master"/>
  <project dest-branch="master" name="linux/external/uac_app" path="external/uac_app" revision="ea59dca532288686841ad6ba64b0adf68c655bd8" upstream="master"/>
  <project dest-branch="master" name="linux/external/update_engine" path="external/update_engine" revision="ef212877ada6fe629f52485113b35a81ab31009b" upstream="master"/>
  <project dest-branch="develop-4.19" name="linux/external/uvc_app" path="external/uvc_app" revision="e6b7aa7bf357e60abd04b9c20738dc1f9b6755a1" upstream="develop-4.19"/>
  <project dest-branch="master" name="linux/external/wifiAutoSetup" path="external/wifiAutoSetup" revision="872e84394896e12989c1745f4af536b567d02de7" upstream="master"/>
  <project dest-branch="master" name="linux/gstreamer-rockchip" path="external/gstreamer-rockchip" revision="de2e5ccdb3a3d835e8eb66e0ab9aa1e433b6c5b5" upstream="master"/>
  <project dest-branch="master" name="linux/libmali" path="external/libmali" revision="master" clone-depth="1"/>
  <project dest-branch="im2d" name="linux/linux-rga" path="external/linux-rga" revision="9679ef07bbc45be5c08d34350a7abe719f374a87" upstream="im2d"/>
  <project dest-branch="develop" name="linux/recovery" path="external/recovery" revision="d596194eee9c46bfdbe209077346faad160cdf92" upstream="develop"/>
  <project dest-branch="master" name="linux/rockit" path="external/rockit" revision="master" clone-depth="1"/>
  <project dest-branch="master" name="linux/security/bin" path="external/security/bin" revision="0d2fc6056541122e8525baf20afa402658e05a5f" upstream="master"/>
  <project dest-branch="master" name="linux/tools" path="tools" revision="6a350ed8622d05017549934f159708aa1bba2161" upstream="master">
    <linkfile dest="tools/windows/RKDevTool/RKDevTool_Release/config.cfg" src="windows/RKDevTool/RKDevTool_Release/rk356x-config.cfg"/>
    <linkfile dest="tools/windows/RKDevTool/rockdev/package-file" src="windows/RKDevTool/rockdev/rk356x-package-file"/>
    <linkfile dest="tools/windows/RKDevTool/rockdev/mkupdate.bat" src="windows/RKDevTool/rockdev/rk356x-mkupdate.bat"/>
    <linkfile dest="tools/linux/Linux_Pack_Firmware/rockdev/mkupdate.sh" src="linux/Linux_Pack_Firmware/rockdev/rk356x-mkupdate.sh"/>
    <linkfile dest="tools/linux/Linux_Pack_Firmware/rockdev/package-file" src="linux/Linux_Pack_Firmware/rockdev/rk356x-package-file"/>
  </project>
  <project dest-branch="stable-4.19-rk356x" name="rk/kernel" path="kernel" revision="d47e486b19bda2110287440dfeaae56e366f85aa" upstream="stable-4.19-rk356x"/>
  <project dest-branch="develop" name="rk/mpp" path="external/mpp" revision="fb144872bae18b27c25346d833b96ccedf0a3573" upstream="develop"/>
  <project dest-branch="master" name="rk/prebuilts/gcc-buildroot-9.3.0-2020.03-x86_64_aarch64-rockchip-linux-gnu" path="prebuilts/gcc/linux-x86/aarch64/gcc-buildroot-9.3.0-2020.03-x86_64_aarch64-rockchip-linux-gnu" revision="427f5439bf87835ff3b20746acc8aaafba7d4f53" upstream="master"/>
  <project dest-branch="master" name="rk/prebuilts/gcc-linaro-6.3.1-2017.05-x86_64_aarch64-linux-gnu" path="prebuilts/gcc/linux-x86/aarch64/gcc-linaro-6.3.1-2017.05-x86_64_aarch64-linux-gnu" revision="f96f76d6be89a6e28d4dac1f233f9aca9921f69b" upstream="master"/>
  <project dest-branch="master" name="rk/rkbin" path="rkbin" revision="e147d1edb4f325d639f15c23de4c365423b7d086" upstream="master"/>
  <project dest-branch="master" name="rk/rknn-toolkit2" path="external/rknn-toolkit2" revision="e2131fc0f2c4ffe3a0f91336e991137f13c686b5" upstream="master"/>
  <project dest-branch="master" name="rk/rknpu2" path="external/rknpu2" revision="897d102d43ef3258127c5334bcc3c76f3d134592" upstream="master"/>
  <project dest-branch="master" name="rk/rockface" path="external/rockface" revision="c15e36566c5bf07e1f8449e9087d73533b4ff420" upstream="master"/>
  <project dest-branch="master" name="rk/rockx" path="external/rockx" revision="19ffaec48095f6ee53b798d7d0ba3de86515449a" upstream="master"/>
</manifest>
